Name: yudit
Version: 3.1.0
Release: 1%{?dist}
Group: Applications/Editors
License: GPL-2.0-only
Source: http://yudit.org/download/%{name}-%{version}.tar.gz
Summary: Unicode Text Editor
BuildRequires:  autoconf 
BuildRequires:  fontpackages-devel
BuildRequires:  freetype-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires: libX11-devel
BuildRoot: /var/tmp/%{name}-%{version}-root
Prefix: /usr

%description
Yudit is a unicode text editor for  the X Window
System.  She  can  do True  Type font rendering,
printing,   transliterated  keyboard  input  and
handwriting recognition with no dependencies  on
external  engines. Her conversion  utilities can
convert    text   between   various   encodings.
Keyboard  input   maps  can  also  act like text
converters. There is no need for a pre-installed
multi-lingual environment. Menus are  translated
into many languages. 
 
%global debug_package %{nil} 

%prep
 
%setup

%configure

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{prefix}
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps
install -m 644 yudit.svg $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/yudit.svg
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps
install -m 644 yudit48x48.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/yudit.png
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cat >$RPM_BUILD_ROOT/usr/share/applications/yudit.desktop <<EOF
[Desktop Entry]
Exec=yudit %%F
Icon=yudit
Terminal=false
Type=Application
Name=Yudit
GenericName=Text Editor
Comment=View and edit files
Categories=Utility;TextEditor;
MimeType=text/english;text/plain;text/x-makefile;text/x-c++hdr;text/x-c++src;text/x-chdr;text/x-csrc;text/x-java;text/x-moc;text/x-pascal;text/x-tcl;text/x-tex;application/x-shellscript;text/x-c;text/x-c++;
Keywords=Unicode
EOF

%clean

%files
%defattr(-,root,root)
%{prefix}/bin/uniconv
%{prefix}/bin/uniprint
%{prefix}/bin/yudit
%{prefix}/bin/mytool
%{_mandir}/man1/*

%dir %{_datadir}/yudit
%{_datadir}/yudit/data
%{_datadir}/yudit/fonts
%{_datadir}/yudit/syntax
%{_datadir}/yudit/src 
%{_datadir}/yudit/doc 

%{_datadir}/locale/am/LC_MESSAGES/yudit.mo
%{_datadir}/locale/ar/LC_MESSAGES/yudit.mo
%{_datadir}/locale/az/LC_MESSAGES/yudit.mo
%{_datadir}/locale/bg/LC_MESSAGES/yudit.mo
%{_datadir}/locale/bn/LC_MESSAGES/yudit.mo
%{_datadir}/locale/cs/LC_MESSAGES/yudit.mo
%{_datadir}/locale/de/LC_MESSAGES/yudit.mo
%{_datadir}/locale/el/LC_MESSAGES/yudit.mo
%{_datadir}/locale/en/LC_MESSAGES/yudit.mo
%{_datadir}/locale/es/LC_MESSAGES/yudit.mo
%{_datadir}/locale/fi/LC_MESSAGES/yudit.mo
%{_datadir}/locale/fr/LC_MESSAGES/yudit.mo
%{_datadir}/locale/ga/LC_MESSAGES/yudit.mo
%{_datadir}/locale/gu/LC_MESSAGES/yudit.mo
%{_datadir}/locale/hi/LC_MESSAGES/yudit.mo
%{_datadir}/locale/hu/LC_MESSAGES/yudit.mo
%{_datadir}/locale/ja/LC_MESSAGES/yudit.mo
%{_datadir}/locale/ko/LC_MESSAGES/yudit.mo
%{_datadir}/locale/mn/LC_MESSAGES/yudit.mo
%{_datadir}/locale/mr/LC_MESSAGES/yudit.mo
%{_datadir}/locale/pa/LC_MESSAGES/yudit.mo
%{_datadir}/locale/pl/LC_MESSAGES/yudit.mo
%{_datadir}/locale/ru/LC_MESSAGES/yudit.mo
%{_datadir}/locale/sl/LC_MESSAGES/yudit.mo
%{_datadir}/locale/sr/LC_MESSAGES/yudit.mo
%{_datadir}/locale/ta/LC_MESSAGES/yudit.mo
%{_datadir}/locale/uk/LC_MESSAGES/yudit.mo
%{_datadir}/locale/ur/LC_MESSAGES/yudit.mo
%{_datadir}/locale/vi/LC_MESSAGES/yudit.mo
%{_datadir}/locale/yi/LC_MESSAGES/yudit.mo
%{_datadir}/locale/zh/LC_MESSAGES/yudit.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/yudit.mo

%{_datadir}/applications/yudit.desktop

%dir %{_datadir}/yudit/config
%config %{_datadir}/yudit/config/*
%{_datadir}/icons/hicolor/scalable/apps/yudit.svg
%{_datadir}/icons/hicolor/48x48/apps//yudit.png

%doc CHANGELOG.TXT COPYING.TXT FAQ.TXT README.TXT TODO.TXT doc/*.utf8 doc/HOWTO-*.txt doc/otfsupport.txt

%changelog
2024-06-28 Initial Release <mitra_anirban@yahoo.co.in>  3.1.0-1
